package com.czg.product.enums;

/**
 * 出入库名目枚举
 *
 * @author tankaikai
 * @since 2025-02-24 09:54
 */
public enum InOutItemEnum {

    /**
     * 手动入库
     */
    MANUAL_IN("manual-in"),

    /**
     * 手动出库
     */
    MANUAL_OUT("manual-out"),

    /**
     * 盘盈入库
     */
    WIN_IN("win-in"),

    /**
     * 盘亏出库
     */
    LOSS_OUT("loss-out"),

    /**
     * 订单退款入库
     */
    ORDER_IN("order-in"),

    /**
     * 订单消费出库
     */
    ORDER_OUT("order-out"),

    /**
     * 损耗出库
     */
    DAMAGE_OUT("damage-out");

    private String value;

    InOutItemEnum(String value) {
        this.value = value;
    }

    public String value() {
        return this.value;
    }
}
